summaryrefslogtreecommitdiff
path: root/runit/sv/wireplumber/run
diff options
context:
space:
mode:
Diffstat (limited to 'runit/sv/wireplumber/run')
-rwxr-xr-xrunit/sv/wireplumber/run12
1 files changed, 12 insertions, 0 deletions
diff --git a/runit/sv/wireplumber/run b/runit/sv/wireplumber/run
new file mode 100755
index 0000000..5fb9edc
--- /dev/null
+++ b/runit/sv/wireplumber/run
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Wait for the PipeWire daemon to start.
+sv check "$HOME/.config/runit/sv/pipewire" >/dev/null || exit 1
+
+[ -r ./conf ] && . ./conf
+
+if [ "${LOGGING_ENABLE}x" = "1x" -a -n "${LOG_LEVEL}" ]; then
+ export WIREPLUMBER_DEBUG="${LOG_LEVEL}"
+fi
+
+exec wireplumber ${OPTS:-} 2>&1